LOCAL_PATH := $(call my-dir)

SP_INCLUDE_TOP := ../../../include
SP_BASE_TOP := ../../../spBase
SP_AUDIO_TOP := ../../../spAudio

include $(CLEAR_VARS)

LOCAL_MODULE    := libspmpeg

ifeq ($(TARGET_ARCH_ABI),arm64-v8a)
LOCAL_CFLAGS += -ffast-math
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := false
endif
ifeq ($(TARGET_ARCH_ABI),armeabi-v7a-hard)
LOCAL_ARM_MODE  := arm
LOCAL_ARM_NEON  := true
LOCAL_CFLAGS += -ffast-math
endif

XINGSRCS        := \
		../../xingmp3/cdct.c ../../xingmp3/cupl3.c \
		../../xingmp3/hwin.c ../../xingmp3/iup.c ../../xingmp3/l3init.c \
		../../xingmp3/msis.c ../../xingmp3/csbt.c \
		../../xingmp3/cwinm.c ../../xingmp3/icdct.c ../../xingmp3/mdctxing.c \
		../../xingmp3/uph.c ../../xingmp3/cup.c ../../xingmp3/dec8.c \
		../../xingmp3/isbt.c ../../xingmp3/l3dq.c ../../xingmp3/mhead.c \
		../../xingmp3/upsf.c ../../xingmp3/iwinm.c

LOCAL_SRC_FILES := \
		$(XINGSRCS) \
		../../mpegCodec.c \
		../../mpegDecode.c

LOCAL_C_INCLUDES := $(LOCAL_PATH)/../.. $(LOCAL_PATH)/$(SP_INCLUDE_TOP) $(LOCAL_PATH)/$(SP_BASE_TOP) $(LOCAL_PATH)/$(SP_AUDIO_TOP)
LOCAL_CFLAGS += -DANDROID -DHAVE_PTHREAD $(LOCAL_C_INCLUDES:%=-I%)

include $(BUILD_STATIC_LIBRARY)
