#   File:       spMpegLame-ppc.make
#   Target:     spMpegLame-ppc
#   Created:    Sunday, October 8, 2000 05:02:26 PM


MAKEFILE        = spMpegLame-ppc.make
# MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild    =

SpBaseDir       = ::spBase:
SpAudioDir      = ::spAudio:
SpLibDir  	= ::lib:

ObjDir          = :lame:
Includes        =  
				  -i : 
				  -i {SpAudioDir} 
				  -i {SpBaseDir}

Sym-PPC         = -sym off

PPCCOptions     = {Includes} {Sym-PPC}  -includes unix -enum int -d USE_LAME -d METROWERKS -d macintosh


### Source Files ###

SrcFiles        =  
			mpegEncode.c 
			:lame:brhist.c :lame:formatBitstream.c :lame:fft.c 
			:lame:get_audio.c :lame:l3bitstream.c :lame:id3tag.c 
			:lame:ieeefloat.c :lame:lame.c :lame:newmdct.c 
			:lame:parse.c :lame:portableio.c :lame:psymodel.c 
			:lame:quantize.c :lame:quantize-pvt.c :lame:vbrquantize.c 
			:lame:reservoir.c :lame:tables.c :lame:takehiro.c 
			:lame:timestatus.c :lame:util.c :lame:VbrTag.c :lame:version.c

### Object Files ###

ObjFiles-PPC    =  
			"{ObjDir}mpegEncode.c.x" 
			"{ObjDir}brhist.c.x" "{ObjDir}formatBitstream.c.x" "{ObjDir}fft.c.x" 
			"{ObjDir}get_audio.c.x" "{ObjDir}l3bitstream.c.x" "{ObjDir}id3tag.c.x" 
			"{ObjDir}ieeefloat.c.x" "{ObjDir}lame.c.x" "{ObjDir}newmdct.c.x" 
			"{ObjDir}parse.c.x" "{ObjDir}portableio.c.x" "{ObjDir}psymodel.c.x" 
			"{ObjDir}quantize.c.x" "{ObjDir}quantize-pvt.c.x" "{ObjDir}vbrquantize.c.x" 
			"{ObjDir}reservoir.c.x" "{ObjDir}tables.c.x" "{ObjDir}takehiro.c.x" 
			"{ObjDir}timestatus.c.x" "{ObjDir}util.c.x" "{ObjDir}VbrTag.c.x" "{ObjDir}version.c.x"

### Libraries ###

LibFiles-PPC    = 


### Default Rules ###

.c.x    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.x {PPCCOptions}


### Build Rules ###

spMpegLame-ppc      spMpegLame-ppc.o

spMpegLame-ppc.o    {ObjFiles-PPC} {LibFiles-PPC} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-PPC} 
		{LibFiles-PPC} 
		{Sym-PPC} 
		-mf -d 
		-t 'XCOF' 
		-c 'MPS ' 
		-xm l; 
	Duplicate -y {Targ} {SpLibDir}



### Required Dependencies ###

"{ObjDir}mpegEncode.c.x"    mpegEncode.c
"{ObjDir}brhist.c.x"    :lame:brhist.c 
"{ObjDir}formatBitstream.c.x"    :lame:formatBitstream.c
"{ObjDir}fft.c.x"    :lame:fft.c
"{ObjDir}get_audio.c.x"    :lame:get_audio.c
"{ObjDir}l3bitstream.c.x"    :lame:l3bitstream.c
"{ObjDir}id3tag.c.x"    :lame:id3tag.c
"{ObjDir}ieeefloat.c.x"    :lame:ieeefloat.c
"{ObjDir}lame.c.x"    :lame:lame.c
"{ObjDir}newmdct.c.x"    :lame:newmdct.c
"{ObjDir}parse.c.x"    :lame:parse.c
"{ObjDir}portableio.c.x"    :lame:portableio.c
"{ObjDir}psymodel.c.x"     :lame:psymodel.c
"{ObjDir}quantize.c.x"    :lame:quantize.c
"{ObjDir}quantize-pvt.c.x"    :lame:quantize-pvt.c
"{ObjDir}vbrquantize.c.x"    :lame:vbrquantize.c
"{ObjDir}reservoir.c.x"    :lame:reservoir.c
"{ObjDir}tables.c.x"    :lame:tables.c
"{ObjDir}takehiro.c.x"    :lame:takehiro.c
"{ObjDir}timestatus.c.x"    :lame:timestatus.c
"{ObjDir}util.c.x"    :lame:util.c
"{ObjDir}VbrTag.c.x"    :lame:VbrTag.c
"{ObjDir}version.c.x"    :lame:version.c


### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .x 
		{Includes} 
		{SrcFiles}


